Package org.h2gis.functions.spatial.convert

## Class ST_AsWKT

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_AsWKT

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

Direct Known Subclasses:
  `ST_AsText`

    public class ST_AsWKT
    extends org.h2gis.api.DeterministicScalarFunction

Convert a Geometry value into a Well Known Text value.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_AsWKT()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static String` `asWKT​(org.locationtech.jts.geom.Geometry geometry)` Convert a Geometry value into a Well Known Text value.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_AsWKT

    public ST_AsWKT()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### asWKT

    public static String asWKT​(org.locationtech.jts.geom.Geometry geometry)

Convert a Geometry value into a Well Known Text value.

Parameters:
  `geometry` - Geometry instance
Returns:
  The String representation